#include <bits/stdc++.h>
using namespace std;
long long n,m,dem=0;
long long a[10000000],b[10000000],u[10000000];
int main()
{
    ifstream f1("DEMPT.inp");
    ofstream f2("DEMPT.out");
    f1>>n;
    for(int i=0;i<n;i++){
        f1>>a[i];
        u[a[i]]=1;
    }
    f1>>m;
    for(int j=0;j<m;j++){
        f1>>b[j];
        if(u[b[j]]==1){
            dem++;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}

